+ Start a Discussion
waterkantwaterkant 

Force.com IDE installer crashed in forceide.exe

I am trying to install IDE (force.com-ide-installer-win32.exe). First I had some trouble with the proxy settings in pulse explorer. I manage to overcome this. Then the installer stops with an error in forceide.exe:

JVM terminated. Exit code=-1

-Dfile.encoding=UTF-8

-Xms256m

-Xmx1024m

-XX:PermSize=128M

-XX:MaxPermSize=512M

-Djava.class.path=C:\Programme\salesforce.com\Force.com IDE\../Common/plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar

-os win32

-ws win32

-arch x86

-showsplash

-launcher C:\Programme\salesforce.com\Force.com IDE\forceide.exe

-name Forceide

--launcher.library C:\Programme\salesforce.com\Force.com

IDE\../Common/plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.0.200.v20090519\eclipse_1206.dll

-startup C:\Programme\salesforce.com\Force.com IDE\../Common/plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar

-install C:\Programme\salesforce.com\Force.com IDE

-configuration C:\Programme\salesforce.com\Force.com IDE\configuration

-clean

-vm C:/Programme/Java/jre6/bin\client\jvm.dll

-vmargs

-Dfile.encoding=UTF-8

-Xms256m

-Xmx1024m

-XX:PermSize=128M

-XX:MaxPermSize=512M

-Djava.class.path=C:\Programme\salesforce.com\Force.com IDE\../Common/plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar

 

Any idea how to fix it?

 

Thanks in advance.

Best Answer chosen by Admin (Salesforce Developers) 
mass*accelerationmass*acceleration

I am experiencing the *exact* same issue. Here are some additional details:


Java: jdk1.6.0_23

Eclipse: NO previous installation

Force.com IDE installer: force.com-ide-installer-win32


One of the suggested responses is to follow the instructions to install the Force.com IDE atop an existing Eclipse distro. I'll give this a whirl as a last resort, but would rather see the downloaded installer work correctly. In my google-fest to figure this out, it seems that this message is related to Eclipse starting the related config (.ini) file.


A little more digging, and some guesswork, led me to this fix:


In the default Force.com IDE install directory:


      C:\Program Files\salesforce.com\Force.com IDE


Locate the config file:


      forceide


And comment out the following at the end of the file (note the leading #):


 

#-vmargs

#-Dfile.encoding=UTF-8

#-Xms256m

#-Xmx1024m

#-XX:PermSize=128M

#-XX:MaxPermSize=512M


This resulted in the Force.com IDE starting as expected, I think...


It would be nice if 


1. someone would validate this fix as appropriate (seems so as the args commented out are repeated twice in the error message)

2. someone in force.com product engineering could fix the installer to do the right thing ;)


Cheers!


 




 

 

All Answers

waterkantwaterkant

Thanks, it works.

greenguygreenguy

Hi:

 

Could you advise how you fixed this problem... I am encountering the same issue... This is Win/XP 32 bits.....

mass*accelerationmass*acceleration

I am experiencing the *exact* same issue. Here are some additional details:


Java: jdk1.6.0_23

Eclipse: NO previous installation

Force.com IDE installer: force.com-ide-installer-win32


One of the suggested responses is to follow the instructions to install the Force.com IDE atop an existing Eclipse distro. I'll give this a whirl as a last resort, but would rather see the downloaded installer work correctly. In my google-fest to figure this out, it seems that this message is related to Eclipse starting the related config (.ini) file.


A little more digging, and some guesswork, led me to this fix:


In the default Force.com IDE install directory:


      C:\Program Files\salesforce.com\Force.com IDE


Locate the config file:


      forceide


And comment out the following at the end of the file (note the leading #):


 

#-vmargs

#-Dfile.encoding=UTF-8

#-Xms256m

#-Xmx1024m

#-XX:PermSize=128M

#-XX:MaxPermSize=512M


This resulted in the Force.com IDE starting as expected, I think...


It would be nice if 


1. someone would validate this fix as appropriate (seems so as the args commented out are repeated twice in the error message)

2. someone in force.com product engineering could fix the installer to do the right thing ;)


Cheers!


 




 

 

This was selected as the best answer
RichardGRichardG

Same issue as mass*acceleration (with XP 32)

 

Applied his patch in the Forceide.ini

 

It works.

 

Thx.

mambafiebermambafieber

Thanks, that made my installation run!

xpdxxpdx

Your fix of editing the ini file worked for me as well. C'mon Force.com, fix the installer!!

colonel deejcolonel deej

Not sure if this works for everyone, but I was able to get this to work by only commenting out the MaxPermSize line:  #-XX:MaxPermSize=512M

 

dj

jrotensteinjrotenstein

I can confirm the instructions from 'colonel deej' -- Edit the forceide.ini file and comment out the "XX:MaxPermSize=512M" line to get the IDE working.

MichaelAnthonyMichaelAnthony

Wanted to add that we had a person who was receiving the same errors when launching the force.com IDE. Nothing fixed it, including commenting out the configuration file as listed above. The user had 'java initiator' installed on his machine, once that was removed force.com IDE launched fine.

symantecAPsymantecAP

Great fix... awsome

writetocynthiawritetocynthia

Yes this worked for me by commenting the .ini file.

davehart55davehart55

+1 for commenting out MaxPermSize in forceide.ini

 

WinXP/32.

 

davehart55davehart55

Actually, I take that back.
Although commenting the MaxPermSize got around the immediate error and allowed Eclipse to start, it was in "a right state", with major chunks missing (e.g. no "File->New Project...").

Gave up on the standalone installer.

 

Use these instructions to install Eclipse standalone first, then the Force.com plug in.

No faffing about so works out quicker in the end.

 

http://wiki.developerforce.com/page/Force.com_IDE_Installation_for_Eclipse_3.6

 

 

mambafiebermambafieber

This workaround used to work in older versions of the standalone installer. This post mentions some new Tooling API introduced in Spring 13:

 

http://boards.developerforce.com/t5/Apex-Code-Development/Force-com-IDE-install-fails-shows-quot-Eclipse-Provisioning-quot/td-p/469091

 

Assuming the most recent version of the standalone installer was used, it still seems to be an unresolved issue.

Emile BelcourtEmile Belcourt

Just commenting out the max perm size worked for me in the .ini file. Nice find!